# -*- encoding: utf-8 -*-
# stub: compute_unit 0.5.1 ruby lib

Gem::Specification.new do |s|
  s.name = "compute_unit".freeze
  s.version = "0.5.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "changelog_uri" => "https://gitlab.com/blockops/compute_unit/-/blob/master/CHANGELOG.md", "homepage_uri" => "https://gitlab.com/blockops/compute_unit", "source_code_uri" => "https://gitlab.com/blockops/compute_unit" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Corey Osman".freeze]
  s.bindir = "exe".freeze
  s.date = "2020-12-30"
  s.description = "\nA ruby library that searches the linux sysfs file system for compute unit devices such as\nCPUS, GPUs and other ASIC compute devices. Allows programmatic access to collect real time metrics from the kernel or relatated driver toolchain.\nIs meant to be used as a toolchain for future tools. This library also makes use of opencl library and requires\nthe opencl_ruby_ffi gem.\n\n".freeze
  s.email = ["opselite@blockops.party".freeze]
  s.executables = ["list_computes".freeze, "update_pcidb".freeze]
  s.files = ["exe/list_computes".freeze, "exe/update_pcidb".freeze]
  s.homepage = "https://gitlab.com/blockops/compute_unit".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "A ruby library for compute unit devices".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<sys-proctable>.freeze, [">= 1.2.0", "~> 1.2"])
    s.add_runtime_dependency(%q<opencl_ruby_ffi>.freeze, ["~> 1.3.4"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 13"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
  else
    s.add_dependency(%q<sys-proctable>.freeze, [">= 1.2.0", "~> 1.2"])
    s.add_dependency(%q<opencl_ruby_ffi>.freeze, ["~> 1.3.4"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_dependency(%q<rake>.freeze, ["~> 13"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
  end
end
